Page MenuHomePhabricator

Define personas for dev.wikimedia.org
Closed, ResolvedPublic

Description

We cannot develop a good dev.wikimedia.org plan, homepage, and docs while we don't know who we are talking to. Let's use personas to solve this problem. We just need a very small group of personas representing the users we want to make happy first.

Proposals

  • Ankita, mobile developer willing to use Wikimedia data to enhance mobile apps.
  • Alberto, data scientist employed at an organization gathering and releasing data that could be synced with Wikimedia's.
  • Reetta, cultural activist working on mass-upload activities for public institutions.
  • Yanhui, academic researcher needing a massive data set to sustain his thesis.

Related Objects

StatusAssignedTask
ResolvedQgil
ResolvedQgil
ResolvedQgil
Resolved Spage
ResolvedQgil
Resolved Spage
Resolved Spage
Resolved Spage
DeclinedNone
DeclinedNone
ResolvedNone
DeclinedNone
ResolvedAnomie
DeclinedNone
OpenNone
OpenNone
Resolved Spage
Resolvedori
Resolvedjeropbrenda
OpenNone
DeclinedQgil
Resolved Spage
Resolved Spage
Resolved Spage

Event Timeline

Qgil created this task.Mar 17 2015, 9:23 AM
Qgil assigned this task to Spage.
Qgil raised the priority of this task from to High.
Qgil updated the task description. (Show Details)
Qgil added projects: ECT-March-2015, Web-APIs-Hub.
Qgil added subscribers: waldyrious, Spage, revi and 2 others.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 17 2015, 9:23 AM

Proposal: Technically inclined community members seeking to contribute to improve the editing experience for themselves or their communities (/cc @He7d3r)

(Or am I mistaking the intended purpose dev.wikimedia.org?)

Hi waldir!

Proposal: Technically inclined community members seeking to contribute to improve the editing experience for themselves or their communities (/cc @He7d3r)

That sounds like users of our existing documentation on mediawiki.org.

(Or am I mistaking the intended purpose dev.wikimedia.org?)

Yes, but you're not alone :-)

We are creating documentation for a different audience: third parties we want to encourage to access Wikimedia's data sets and experiment with our APIs. The effort will benefit documentation used by all kinds of developers, but we have to focus, hence Personas

(I want to scrap the term "dev.wikimedia.org" because it encourages people to project whatever they want onto it.)

@Qgil, thanks! these sound about right. Ankita = MW web API user, Alberto = Wikidata API user, Reetta = probably a bot and maybe tool labs user, and Yanhui = a data set consumer. Reetta the Bot user needs some understanding of MW concepts but will be using the bot's API rather than MW APIs. I don't know anything about Yanhui yet.

Do you have their e-mail addresses so I can fulfill T93048: Gather needs of WMF teams, Wikimedia contributors, and third-party developers for Data and developer hub ?

Qgil added a comment.EditedMar 18 2015, 10:33 AM

@waldyrious, I'm very happy to see you here, almost in persona. ;)
From https://www.mediawiki.org/wiki/Dev.wikimedia.org,

dev.wikimedia.org aims to become a hub for developers and researchers interested in Wikimedia data and the APIs to interact with it.

(I want to scrap the term "dev.wikimedia.org" because it encourages people to project whatever they want onto it.)

(It has been the same for whatever other combination we have tried before, so unless you find a magical string, I would just keep insisting on "dev.wikimedia.org".

Making all personas happy at the same time is not easy, we can start with Ankita and Alberto. I can talk more about Reetta if needed. @DarTar knows Yanhui very well. :)

Proposal: Technically inclined community members seeking to contribute to improve the editing experience for themselves or their communities (/cc @He7d3r)

That sounds like users of our existing documentation on mediawiki.org.

Which serves that role sub-optimally, IMO. But I won't expand on this as it's off-topic. :)

(I want to scrap the term "dev.wikimedia.org" because it encourages people to project whatever they want onto it.)

(It has been the same for whatever other combination we have tried before, so unless you find a magical string, I would just keep insisting on "dev.wikimedia.org".

Here's hoping that we can eventually find a better term. I'm aware of the past unfruitful discussions (though not of their entire contents), but still feel uneasy that the term "dev" is being used to mean something different than what I believe is its immediate association. Out of the top of my head, has something like devdata.wikimedia.org or data-apis.wikimedia.org been considered? If not, would they make sense? I'm not suggesting we change things at this point, just trying to see if we are aligned at the same page in our understanding of this project's aim.

Qgil added a comment.Mar 19 2015, 2:36 PM

Let's focus on personas here. If you want to discuss the name, please go to T309: Name for the 'developer hub'.

This is helpful, I'm not sure whether to declare victory.

Spage moved this task from Backlog to Ready To Go on the ECT-March-2015 board.Apr 6 2015, 10:39 AM
Spage moved this task from Ready To Go to Doing on the ECT-March-2015 board.
Qgil added a comment.Apr 7 2015, 1:15 PM

We seem to be happy with our four personas. Just document them (copy & paste the description) in our working plan at https://www.mediawiki.org/wiki/Dev.wikimedia.org and you can resolve this task.

This task was part of ECT-March-2015, and it is still open and assigned. Assuming that it belongs to ECT-April-2015 as well. Otherwise please edit accordingly.

Spage moved this task from Backlog to Doing on the ECT-April-2015 board.Apr 28 2015, 5:38 PM